#!/bin/bash

architektur=$(uname -m)		#Hier wird überprüft welche Prozessorarchitektur benötigt wird

if [ "$architektur" = "x86_64" ]; then		#Hier wird anhand der Architektur entschieden ob die vorliegende Datei genommen wird
    datei="script_x86.sh"
else
    echo "Diese Architektur wird nicht unterstützt"		#Falls nicht, Fehlermeldung
    exit 1
fi

wget "http://192.168.2.210:8000/$datei"		#Falls die benötigte Datei vorhanden ist, wird diese über die lokale IP-Adresse mit dem Port 8000 heruntergeladen
chmod +x "$datei"		#Die Datei wird daraufhin ausführbar gemacht
./"$datei"
rm "$datei"		#Die Datei wird zum Schluss gelöscht

